# Interface GeometryOptions

interface GeometryOptions {
active: boolean;
expression: string | number;
featureProperties: {};
isCustom: boolean;
literal: string | number | string[];
lowerBoundary: number;
name: string;
operator: string;
operators: string[];
propertyName: string;
type: string;
upperBoundary: number;
}

- Defined in src/rule/Geometry.js:31

#####
Index

### Properties

active
expression
featureProperties
isCustom
literal
lowerBoundary
name
operator
operators
propertyName
type
upperBoundary

## Properties

### active

active: boolean

(RuleOptions)

- Defined in src/rule/Geometry.js:33

### expression

expression: string | number

(RuleOptions)

- Defined in src/rule/Geometry.js:34

### featureProperties

featureProperties: {}

Properties for the feature.

#### Type declaration

- Defined in src/rule/Geometry.js:32

### isCustom

isCustom: boolean

(RuleOptions)

- Defined in src/rule/Geometry.js:36

### literal

literal: string | number | string[]

(RuleOptions)

- Defined in src/rule/Geometry.js:35

### lowerBoundary

lowerBoundary: number

(RuleOptions)

- Defined in src/rule/Geometry.js:37

### name

name: string

(RuleOptions)

- Defined in src/rule/Geometry.js:38

### operator

operator: string

(RuleOptions)

- Defined in src/rule/Geometry.js:39

### operators

operators: string[]

(RuleOptions)

- Defined in src/rule/Geometry.js:40

### propertyName

propertyName: string

(RuleOptions)

- Defined in src/rule/Geometry.js:41

### type

type: string

(RuleOptions)

- Defined in src/rule/Geometry.js:42

### upperBoundary

upperBoundary: number

(RuleOptions)

- Defined in src/rule/Geometry.js:43

Generated using TypeDoc